com.mxgraph.layout

## Class mxPartitionLayout

- java.lang.Object
- - com.mxgraph.layout.mxGraphLayout
  - - com.mxgraph.layout.mxPartitionLayout

- All Implemented Interfaces:
    mxIGraphLayout

      public class mxPartitionLayout
      extends mxGraphLayout

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `border` Integer that specifies the absolute inset in pixels for the parent that contains the children.
    `protected boolean` | `horizontal` Boolean indicating the direction in which the space is partitioned.
    `protected boolean` | `resizeVertices` Boolean that specifies if vertices should be resized.
    `protected int` | `spacing` Integer that specifies the absolute spacing in pixels between the children.

    - ### Fields inherited from class com.mxgraph.layout.mxGraphLayout

      `graph, parent, useBoundingBox`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `mxPartitionLayout(mxGraph graph)` Constructs a new stack layout layout for the specified graph, spacing, orientation and offset.
    `mxPartitionLayout(mxGraph graph, boolean horizontal)` Constructs a new stack layout layout for the specified graph, spacing, orientation and offset.
    `mxPartitionLayout(mxGraph graph, boolean horizontal, int spacing)` Constructs a new stack layout layout for the specified graph, spacing, orientation and offset.
    `mxPartitionLayout(mxGraph graph, boolean horizontal, int spacing, int border)` Constructs a new stack layout layout for the specified graph, spacing, orientation and offset.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(java.lang.Object parent)` Executes the layout for the children of the specified parent.
    `mxRectangle` | `getContainerSize()` Hook for subclassers to return the container size.
    `void` | `moveCell(java.lang.Object cell, double x, double y)` Notified when a cell is being moved in a parent that has automatic layout to update the cell state (eg.

    - ### Methods inherited from class com.mxgraph.layout.mxGraphLayout

      `arrangeGroups, getConstraint, getConstraint, getGraph, getParentOffset, getVertexBounds, isEdgeIgnored, isUseBoundingBox, isVertexIgnored, isVertexMovable, setEdgePoints, setEdgeStyleEnabled, setOrthogonalEdge, setUseBoundingBox, setVertexLocation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### horizontal

          protected boolean horizontal

      Boolean indicating the direction in which the space is partitioned. Default is true.

    - #### spacing

          protected int spacing

      Integer that specifies the absolute spacing in pixels between the children. Default is 0.

    - #### border

          protected int border

      Integer that specifies the absolute inset in pixels for the parent that contains the children. Default is 0.

    - #### resizeVertices

          protected boolean resizeVertices

      Boolean that specifies if vertices should be resized. Default is true.

  - ### Constructor Detail

    - #### mxPartitionLayout

          public mxPartitionLayout(mxGraph graph)

      Constructs a new stack layout layout for the specified graph, spacing, orientation and offset.

    - #### mxPartitionLayout

          public mxPartitionLayout(mxGraph graph,
                           boolean horizontal)

      Constructs a new stack layout layout for the specified graph, spacing, orientation and offset.

    - #### mxPartitionLayout

          public mxPartitionLayout(mxGraph graph,
                           boolean horizontal,
                           int spacing)

      Constructs a new stack layout layout for the specified graph, spacing, orientation and offset.

    - #### mxPartitionLayout

          public mxPartitionLayout(mxGraph graph,
                           boolean horizontal,
                           int spacing,
                           int border)

      Constructs a new stack layout layout for the specified graph, spacing, orientation and offset.

  - ### Method Detail

    - #### moveCell

          public void moveCell(java.lang.Object cell,
                      double x,
                      double y)

      Description copied from interface: `mxIGraphLayout`
      Notified when a cell is being moved in a parent that has automatic layout to update the cell state (eg. index) so that the outcome of the layout will position the vertex as close to the point (x, y) as possible.
      Specified by:
        `moveCell` in interface `mxIGraphLayout`
      Overrides:
        `moveCell` in class `mxGraphLayout`
      Parameters:
        `cell` - Cell which is being moved.
        `x` - X-coordinate of the new cell location.
        `y` - Y-coordinate of the new cell location.

    - #### getContainerSize

          public mxRectangle getContainerSize()

      Hook for subclassers to return the container size.

    - #### execute

          public void execute(java.lang.Object parent)

      Description copied from interface: `mxIGraphLayout`
      Executes the layout for the children of the specified parent.
      Specified by:
        `execute` in interface `mxIGraphLayout`
      Overrides:
        `execute` in class `mxGraphLayout`
      Parameters:
        `parent` - Parent cell that contains the children to be layed out.

Copyright (c) 2010 Gaudenz Alder. All rights reserved.